InvalidContentTypeException (Apache Tomcat 9.0.62 API Documentation)

Package org.apache.tomcat.util.http.fileupload.impl

## Class InvalidContentTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.tomcat.util.http.fileupload.FileUploadException
        - - org.apache.tomcat.util.http.fileupload.impl.InvalidContentTypeException

- All Implemented Interfaces:
    `Serializable`

      public class InvalidContentTypeException
      extends FileUploadException

  Thrown to indicate that the request is not a multipart request.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidContentTypeException()` | Constructs a `InvalidContentTypeException` with no detail message.
    `InvalidContentTypeException​(String message)` | Constructs an `InvalidContentTypeException` with the specified detail message.
    `InvalidContentTypeException​(String msg, Throwable cause)` | Constructs an `InvalidContentTypeException` with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidContentTypeException

          public InvalidContentTypeException()

      Constructs a `InvalidContentTypeException` with no detail message.

    - #### InvalidContentTypeException

          public InvalidContentTypeException​(String message)

      Constructs an `InvalidContentTypeException` with the specified detail message.
      Parameters:
        `message` - The detail message.

    - #### InvalidContentTypeException

          public InvalidContentTypeException​(String msg,
                                             Throwable cause)

      Constructs an `InvalidContentTypeException` with the specified detail message and cause.
      Parameters:
        `msg` - The detail message.
        `cause` - the original cause
      Since:
        1.3.1